<?
require_once('workflows.php');

function format_date_query($query)
{
	date_default_timezone_set('Asia/Shanghai');
	$timestamp = is_numeric($query) ? intval($query) : strtotime($query);

	$formats = [
		'Y-m-d',
		'Y-m-d l',
		'Y-m-d H:i:s',
		'c',
		'Y-m-d H:i:s l',
	];

	$w = new Workflows();

	foreach ($formats as $format) {
		$res = date($format, $timestamp);
		$w->result($res, $res, $res, $res, 'icon.png', '');	
	}
	$res = $timestamp;
	$w->result($res, $res, $res, $res, 'icon.png', '');	


	echo $w->toxml();

}
